%define		status		alpha
%define		pearname	Net_FTP
%define		subver	a3
%define		rel		2
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - comfortable communication with FTP-servers
Summary(pl.UTF-8):	%{pearname} - komfortowa komunikacja z serwerami FTP
Name:		php-pear-%{pearname}
Version:	1.4.0
Release:	0.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}%{subver}.tgz
# Source0-md5:	d35a030549ccb0d5f069b42046a852b3
URL:		http://pear.php.net/package/Net_FTP/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(ftp)
Requires:	php-pear
Obsoletes:	php-pear-Net_FTP-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class allows you to communicate with FTP-servers more comfortable
that the ftp-functions of PHP. Especially you can up- and download
recursively.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa ta pozwala na bardziej komfortowa komunikację z serwerami FTP
niż jest to realizowane przez funkcje w PHP. Szczególnie łatwy jest
down- i upload rekursywny.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv ./%{php_pear_dir}/data/Net_FTP/CHANGELOG .
mv .%{php_pear_dir}/data/Net_FTP/README .
rm .%{php_pear_dir}/generate_package_xml.php


mv docs/%{pearname}/example examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log CHANGELOG README
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/FTP.php
%{php_pear_dir}/Net/FTP
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 5a63862
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> d155c6c
- up to 1.4.0a3

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 5ab0431
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> bbcf95e
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 6019a55
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> addfbb0
- up to 1.4.0a2

* Thu Jun 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 8f09c0d
- updated to 1.3.7

* Sat May 17 2008 Adam Gołębiowski <adamg@pld-linux.org> b6f38c3
- updated to 1.3.6

* Mon Feb 04 2008 Elan Ruusamäe <glen@pld-linux.org> fc7a449
- package changelog in %doc

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> aef68c1
- rel 2

* Thu Dec 06 2007 Adam Gołębiowski <adamg@pld-linux.org> 4652220
- updated to 1.3.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6c5ac28
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05005cc
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 475d85d
- rel 2: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6f24a38
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> ae2043a
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 917ef4d
- 1.3.2

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> 2e6333d
- rel 3

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 199cf99
- rel 2

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> 6af9f24
- integer BR

